API REFERENCEv1

View Coupon Code Custom Tag

GEThttps://api2.protexting.com/v1/coupons-tag/view

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

Request parameters:

ParameterDescription
idCoupon Code Custom Tag Id

Response parameters:

ParameterDescription
IdCoupon Code Custom Tag Id
Tag
Coupon Code Custom Tag
Description
Coupon Code Custom Tag Description
CreatedOn
The date when the record was created

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/coupons-tag/view?access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
Keep-Alive: timeout=5, max=100
Link: <https://api2.protexting.com/v1/coupons-tag/view?access_token=your_access_token&page=1>; rel=self Pragma: no-cache Transfer-Encoding: chunked X-Pagination-Current-Page: 1 X-Pagination-Page-Count: 1 X-Pagination-Per-Page: 100 X-Pagination-Total-Count: 46 X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0

Example Response Body:

JSON response example
{
        "Id": "7443bf12-0257-11eb-a4ae-f23c91cc2b28",
        "Tag": "CUSTOM_TAG_1",
        "Description": null,        "CreatedOn": "2020-09-29 09:27:00"    }
XML response example
<response>   <item>      <Id>7443bf12-0257-11eb-a4ae-f23c91cc2b28</Id>      <Tag>CUSTOM_TAG_1</Tag>      <Description/>      <CreatedOn>2020-09-29 09:27:00</CreatedOn>   </item></response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.